PipeWire: pw_impl_client_events Struct Reference

PipeWire 1.6.8

Loading...
Searching...
No Matches
pw_impl_client_events Struct Reference
Implementation API » Client Impl

The events that a client can emit. More...

`#include <pipewire/impl-client.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| emitted when the client is destroyed
void(* | free )(void *data)
| emitted right before the client is freed
void(* | initialized )(void *data)
| the client is initialized
void(* | info_changed )(void *data, const struct pw_client_info *info)
| emitted when the client info changed
void(* | resource_added )(void *data, struct pw_resource *resource)
| emitted when a new resource is added for client
void(* | resource_removed )(void *data, struct pw_resource *resource)
| emitted when a resource is removed
void(* | busy_changed )(void *data, bool busy)
| emitted when the client becomes busy processing an asynchronous message.

## Detailed Description

The events that a client can emit.

## Field Documentation

## ◆ version

uint32_t pw_impl_client_events::version

## ◆ destroy

void(* pw_impl_client_events::destroy) (void *data)

emitted when the client is destroyed

## ◆ free

void(* pw_impl_client_events::free) (void *data)

emitted right before the client is freed

## ◆ initialized

void(* pw_impl_client_events::initialized) (void *data)

the client is initialized

## ◆ info_changed

void(* pw_impl_client_events::info_changed) (void *data, const struct pw_client_info *info)

emitted when the client info changed

## ◆ resource_added

void(* pw_impl_client_events::resource_added) (void *data, struct pw_resource *resource)

emitted when a new resource is added for client

## ◆ resource_removed

void(* pw_impl_client_events::resource_removed) (void *data, struct pw_resource *resource)

emitted when a resource is removed

## ◆ busy_changed

void(* pw_impl_client_events::busy_changed) (void *data, bool busy)

emitted when the client becomes busy processing an asynchronous message.

In the busy state no messages should be processed. Processing should resume when the client becomes not busy

The documentation for this struct was generated from the following file:

- pipewire/impl-client.h